import acm.program.ConsoleProgram;

public class AltCaps extends ConsoleProgram{

	public void run(){
		while (true) {
			String str = readLine("Enter a string: ");
			if (str.length() == 0) break;
			println(altCaps(str));
			//println(altCapsSimple(str));
		}
	}

	private String altCaps(String str){
		String result = "";
		int counter = 0;
		for(int i = 0; i < str.length(); i++){
			
			if(Character.isLetter(str.charAt(i))) counter++;
			
			if(counter % 2 == 0){
				result += Character.toUpperCase(str.charAt(i));
			}else{
				result += Character.toLowerCase(str.charAt(i));
			}
		}
		return result;
	}
	
	private String altCapsSimple(String str){
		String result = "";
		int counter = 0;
		for(int i = 0; i < str.length(); i++){
			// Since we always increment the counter, we are ignoring spaces
			// and can end up with two consecutive letters of the same type.
			// altCapsSimple('hi you') --> hI YoU
			counter++;
			
			if(counter % 2 == 0){
				result += Character.toUpperCase(str.charAt(i));
			}else{
				result += Character.toLowerCase(str.charAt(i));
			}
		}
		return result;
	}

}
