import acm.program.*;

public class RemoveLetters extends ConsoleProgram{

	public void run(){
		while (true) {
			String str = readLine("Enter a string: ");
			if (str.length() == 0) break;
			String letter = readLine("Enter a letter to remove: ");
			char ch = letter.charAt(0);
			println(removeAllOccurrences(str, ch));
			println(removeAllOccurrences2(str, ch));
		}
		
	}

	
	private String removeAllOccurrences(String str, char ch) {
		String result = "";
		for (int i = 0; i < str.length(); i++) {
			if (str.charAt(i) != ch) {
				result += str.charAt(i);
			}
		}
		return result;
	}
	
	private String removeAllOccurrences2(String str, char ch) {
		while (true) {
			int pos = str.indexOf(ch);
			if (pos >= 0) {
				str = str.substring(0, pos)
					 + str.substring(pos + 1);
			} else break;
		}
		return str;
	}


}
