/*
 * File: TheWizardOfJava.java
 * A program that explores parameters, return values, primitives, and objects.
 */

import acm.program.*; // For ConsoleProgram

import acm.graphics.*; // For GPoint

public class TheWizardOfJava extends ConsoleProgram {

	public void run() {
		String dorothy = "Somewhere over the rainbow...";
		GPoint toto = new GPoint(2.718, 3.141);
		int scarecrow = 137;
		
		cowardlyLion(dorothy, toto);
		println("dorothy = " + dorothy);
		println("toto.getX() = " + toto.getX());
		
		tinMan(dorothy, scarecrow);
		
		println("dorothy = " + dorothy);
		println("scarecrow = " + scarecrow);
		
		toto = overTheRainbow(dorothy, toto);
		
		println("dorothy = " + dorothy);
		println("scarecrow = " + scarecrow);
		println("toto.getX() = " + toto.getX());	
	}
	
	private void cowardlyLion(String dorothy, GPoint toto) {
		dorothy += " way up high";
		toto = new GPoint(1.61, 98.6);
	}
	
	private String tinMan(String dorothy, int scarecrow) {
		dorothy = "The scarecrow said " + scarecrow;
		scarecrow = 14;
		return dorothy;
	}
	
	private GPoint overTheRainbow(String dorothy, GPoint toto) {
		toto = new GPoint(99.9, 44.4);
		dorothy.toUpperCase();
		return toto;
	}
}
